org.apache.olingo.server.api.serializer

## Enum BatchSerializerException.MessageKeys

- java.lang.Object
- - java.lang.Enum<BatchSerializerException.MessageKeys>
  - - org.apache.olingo.server.api.serializer.BatchSerializerException.MessageKeys

- All Implemented Interfaces:
    Serializable, Comparable<BatchSerializerException.MessageKeys>, ODataLibraryException.MessageKey
  Enclosing class:
    BatchSerializerException

      public static enum BatchSerializerException.MessageKeys
      extends Enum<BatchSerializerException.MessageKeys>
      implements ODataLibraryException.MessageKey

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MISSING_CONTENT_ID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Gets this key.
    `static BatchSerializerException.MessageKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BatchSerializerException.MessageKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISSING_CONTENT_ID

          public static final BatchSerializerException.MessageKeys MISSING_CONTENT_ID

  - ### Method Detail

    - #### values

          public static BatchSerializerException.MessageKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatchSerializerException.MessageKeys c : BatchSerializerException.MessageKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatchSerializerException.MessageKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

      Description copied from interface: `ODataLibraryException.MessageKey`
      Gets this key.
      Specified by:
        `getKey` in interface `ODataLibraryException.MessageKey`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.